pet-benefits
List pet benefits
POST
/
pet-benefits
/
search
List pet benefits
curl --request POST \
--url https://practice-data.nest.vet/api/v3/pet-benefits/search \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"organization": "<string>",
"limit": 100,
"offset": 0,
"id": "<string>",
"pet_id": "<string>",
"subscription_id": "<string>",
"include_deleted": false,
"created_at_since": "2023-11-07T05:31:56Z",
"updated_at_since": "2023-11-07T05:31:56Z",
"created_before": "2023-11-07T05:31:56Z",
"updated_before": "2023-11-07T05:31:56Z"
}
'import requests
url = "https://practice-data.nest.vet/api/v3/pet-benefits/search"
payload = {
"organization": "<string>",
"limit": 100,
"offset": 0,
"id": "<string>",
"pet_id": "<string>",
"subscription_id": "<string>",
"include_deleted": False,
"created_at_since": "2023-11-07T05:31:56Z",
"updated_at_since": "2023-11-07T05:31:56Z",
"created_before": "2023-11-07T05:31:56Z",
"updated_before": "2023-11-07T05:31:56Z"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
organization: '<string>',
limit: 100,
offset: 0,
id: '<string>',
pet_id: '<string>',
subscription_id: '<string>',
include_deleted: false,
created_at_since: '2023-11-07T05:31:56Z',
updated_at_since: '2023-11-07T05:31:56Z',
created_before: '2023-11-07T05:31:56Z',
updated_before: '2023-11-07T05:31:56Z'
})
};
fetch('https://practice-data.nest.vet/api/v3/pet-benefits/search', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"body": [
{
"id": "<string>",
"pet": "<string>",
"subscription": "<string>",
"benefit_name": "<string>",
"benefit_description": "<string>",
"wellness_plan_name": "<string>",
"is_addon": true,
"revenue_to_recognize_per_unit": 123,
"retail_value": 123,
"provided": 123,
"remaining": 123,
"is_unlimited": true,
"rounding_addition": 123,
"is_perk": true,
"in_kind_discount": 123,
"parent_petbenefit": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"inactivation_date": "2023-11-07T05:31:56Z",
"activation_date": "2023-11-07T05:31:56Z",
"product_ids": [
"<string>"
]
}
]
}{
"detail": "<string>"
}{
"detail": "<string>"
}{
"detail": [
{
"loc": [
"<unknown>"
],
"msg": "<string>",
"type": "<string>"
}
]
}{
"detail": "<string>"
}Authorizations
Authorization: Bearer <api key>. The key resolves to your organization; every response is scoped to it. An organization field in the request body is optional, but if present it must match, or the request is rejected.
Body
application/json
Optional. If present, must match the organization your API key resolves to, or the request is rejected with 400.
Response
A list of pet benefits.
Show child attributes
Show child attributes
⌘I
List pet benefits
